//@import url('https://fonts.googleapis.com/css?family=Roboto:400,700');

@font-face {
  font-family: "MuseoSansCyrl";
  src: url("/fonts/3AC3A0_0_0.woff2") format("woff2"), url("/fonts/3AC3A0_1_0.woff2") format("woff2");
}


$family-sans-serif: BlinkMacSystemFont, -apple-system, "MuseoSansCyrl", sans-serif !default;

//Initial variables
$yellow: hsl(47, 97%, 69%); //hsl(48, 100%, 67%);
$radius-small: 1px; //2
$radius: 1px; //4
$radius-large: 1px; //6

//Derived variables
$primary: #8e83bc; //$turquoise
$link-focus-border: $primary; //$blue

@import "../bulma-0.8.0/sass/utilities/_all.sass";

//$info: $cyan;
//$success: $green;
//$warning: $yellow;
//$danger: $red;
//$light: $white-ter;
//$dark: $grey-darker;
//$orange-invert: findColorInvert($orange);
//$yellow-invert: findColorInvert($yellow);
//$green-invert: findColorInvert($green);
//$turquoise-invert: findColorInvert($turquoise);
//$cyan-invert: findColorInvert($cyan);
//$blue-invert: findColorInvert($blue);
//$purple-invert: findColorInvert($purple);
//$red-invert: findColorInvert($red);
//$primary-invert: $turquoise-invert;
//$info-invert: $cyan-invert;
//$success-invert: $green-invert;
//$warning-invert: $yellow-invert;
//$danger-invert: $red-invert;
//$light-invert: $dark;
//$dark-invert: $light;
//$background: $white-ter;
//$border: $grey-lighter;
//$border-hover: $grey-light;
//$text: $grey-dark;
//$text-invert: findColorInvert($text);
//$text-light: $grey;
//$text-strong: $grey-darker;
//$code: $red;
//$code-background: $background;
//$pre: $text;
//$pre-background: $background;
//$link: $blue;
//$link-invert: $blue-invert;
//$link-visited: $purple;
//$link-hover: $grey-darker;
//$link-hover-border: $grey-light;
//$link-focus: $grey-darker;
//$link-active: $grey-darker;
//$link-active-border: $grey-dark;
//$family-primary: $family-sans-serif;
//$family-code: $family-monospace;
//$size-small: $size-7;
//$size-normal: $size-6;
//$size-medium: $size-5;
//$size-large: $size-4;
//$custom-colors: null;
//$custom-shades: null;
//$colors: mergeColorMaps(("white": ($white, $black), "black": ($black, $white), "light": ($light, $light-invert), "dark": ($dark, $dark-invert), "primary": ($primary, $primary-invert), "link": ($link, $link-invert), "info": ($info, $info-invert), "success": ($success, $success-invert), "warning": ($warning, $warning-invert), "danger": ($danger, $danger-invert)), $custom-colors);
//$shades: mergeColorMaps(("black-bis": $black-bis, "black-ter": $black-ter, "grey-darker": $grey-darker, "grey-dark": $grey-dark, "grey": $grey, "grey-light": $grey-light, "grey-lighter": $grey-lighter, "white-ter": $white-ter, "white-bis": $white-bis), $custom-shades);
//$sizes: $size-1 $size-2 $size-3 $size-4 $size-5 $size-6 $size-7;


$control-border-width: 1px;

$section-padding: 1rem;
$section-padding-medium: 9rem 1.5rem;
$section-padding-large: 18rem 1.5rem;

$control-radius: $radius;
$control-radius-small: $radius-small;
$control-padding-vertical: calc(0.375em - #{$control-border-width});
$control-padding-horizontal: calc(0.625em - #{$control-border-width});
$label-color: hsl(0, 0%, 21%);
$label-weight: 700;
$help-size: 0.85rem; //0.75

$input-color: $grey-darker;
$input-background-color: $white;
$input-border-color: $grey-lighter;
$input-shadow: inset 0 1px 2px rgba($black, 0.1);
$input-hover-color: $grey-darker;
$input-hover-border-color: $grey-light;
$input-focus-color: $grey-darker;
$input-focus-border-color: $primary; //$link
$input-focus-box-shadow-size: 0 0 0 0.175em; //0 0 0 0.125em
$input-focus-box-shadow-color: rgba($primary, 0.25);
$input-disabled-color: $text-light;
$input-disabled-background-color: $background;
$input-disabled-border-color: $background;
$input-arrow: $primary; //$link
$input-icon-color: $grey-lighter;
$input-icon-active-color: $grey;
$input-radius: $radius;

$box-color: $text;
$box-background-color: $white;
$box-radius: $radius-large;
$box-shadow: 0 2px 3px rgba($black, 0.1), 0 0 0 1px rgba($black, 0.1);
$box-padding: 1.25rem;
$box-link-hover-shadow: 0 2px 3px rgba($black, 0.1), 0 0 0 1px $link;
$box-link-active-shadow: inset 0 1px 2px rgba($black, 0.2), 0 0 0 1px $link;

$button-color: $grey-darker;
$button-background-color: $white;
$button-border-color: $grey-lighter;
$button-border-width: $control-border-width;
$button-padding-vertical: calc(0.375em - #{$button-border-width});
$button-padding-horizontal: 0.75em;
$button-hover-color: $link-hover;
$button-hover-border-color: $link-hover-border;
$button-focus-color: $link-focus;
$button-focus-border-color: $primary; //$link-focus-border
$button-focus-box-shadow-size: 0 0 0 0.175em; //0 0 0 0.125em
$button-focus-box-shadow-color: rgba($link, 0.25);
$button-active-color: $link-active;
$button-active-border-color: $link-active-border;
$button-text-color: $text;
$button-text-hover-background-color: $background;
$button-text-hover-color: $text-strong;
$button-disabled-background-color: $white;
$button-disabled-border-color: $grey-lighter;
$button-disabled-shadow: none;
$button-disabled-opacity: 0.5;
$button-static-color: $grey;
$button-static-background-color: $white-ter;
$button-static-border-color: $grey-lighter;

$content-heading-color: $text-strong;
$content-heading-weight: $weight-semibold;
$content-heading-line-height: 1.125;
$content-blockquote-background-color: $background;
$content-blockquote-border-left: 5px solid $border;
$content-blockquote-padding: 1.25em 1.5em;
$content-pre-padding: 1.25em 1.5em;
$content-table-cell-border: 1px solid $border;
$content-table-cell-border-width: 0 0 1px;
$content-table-cell-padding: 0.5em 0.75em;
$content-table-cell-heading-color: $text-strong;
$content-table-head-cell-border-width: 0 0 2px;
$content-table-head-cell-color: $text-strong;
$content-table-foot-cell-border-width: 2px 0 0;
$content-table-foot-cell-color: $text-strong;

$icon-dimensions: 1.5rem;
$icon-dimensions-small: 1rem;
$icon-dimensions-medium: 2rem;
$icon-dimensions-large: 3rem;

$notification-background-color: $background;
$notification-radius: $radius;
$notification-padding: 1.25rem 2.5rem 1.25rem 1.5rem;

$progress-bar-background-color: $border;
$progress-value-background-color: $text;

$table-color: $grey-darker;
$table-background-color: $white;
$table-cell-border: 1px solid $grey-lighter;
$table-cell-border-width: 0 0 1px;
$table-cell-padding: 0.5em 0.75em;
$table-cell-heading-color: $text-strong;
$table-head-cell-border-width: 0 0 2px;
$table-head-cell-color: $text-strong;
$table-foot-cell-border-width: 2px 0 0;
$table-foot-cell-color: $text-strong;
$table-row-hover-background-color: rgba($primary, 0.075); //$white-bis
$table-row-active-background-color: rgba($primary, 0.75); //$primary
$table-row-active-color: $primary-invert;
$table-striped-row-even-background-color: rgba($primary, 0.075); //$white-bis
$table-striped-row-even-hover-background-color: rgba($primary, 0.15); //$white-ter

$tag-background-color: $background;
$tag-color: $text;
$tag-radius: 2px; //$radius
$tag-delete-margin: 1px;

$title-color: $grey-darker;
$title-size: $size-3;
$title-weight: $weight-semibold;
$title-line-height: 1.125;
$title-strong-color: inherit;
$title-strong-weight: inherit;
$title-sub-size: 0.75em;
$title-sup-size: 0.75em;
$subtitle-color: $grey-dark;
$subtitle-size: $size-5;
$subtitle-weight: $weight-normal;
$subtitle-line-height: 1.25;
$subtitle-strong-color: $grey-darker;
$subtitle-strong-weight: $weight-semibold;
$subtitle-negative-margin: -1.25rem;

$breadcrumb-item-color: darken($primary, 20%); //$link
$breadcrumb-item-hover-color: $link-hover;
$breadcrumb-item-active-color: $text-strong;
$breadcrumb-item-padding-vertical: 0;
$breadcrumb-item-padding-horizontal: 0.75em;
$breadcrumb-item-separator-color: $grey-light;

$card-color: $text;
$card-background-color: $white;
$card-shadow: 0 2px 3px rgba($black, 0.1), 0 0 0 1px rgba($black, 0.1);
$card-header-background-color: transparent;
$card-header-color: $text-strong;
$card-header-shadow: 0 1px 2px rgba($black, 0.1);
$card-header-weight: $weight-bold 700;
$card-content-background-color: transparent;
$card-footer-background-color: transparent;
$card-footer-border-top: 1px solid $border;

$dropdown-content-background-color: $white;
$dropdown-content-arrow: $link;
$dropdown-content-offset: 4px;
$dropdown-content-radius: $radius 1px; //$radius 4px
$dropdown-content-shadow: 0 2px 3px rgba($black, 0.1), 0 0 0 1px rgba($black, 0.1);
$dropdown-content-z: 20;
$dropdown-item-color: $grey-dark;
$dropdown-item-hover-color: $black;
$dropdown-item-hover-background-color: $background;
$dropdown-item-active-color: $link-invert;
$dropdown-item-active-background-color: $primary; //$link
$dropdown-divider-background-color: $border;

$menu-item-color: $text;
$menu-item-radius: $radius-small 2px;
$menu-item-hover-color: $text-strong;
$menu-item-hover-background-color: $background;
$menu-item-active-color: $link-invert;
$menu-item-active-background-color: $primary; //$link
$menu-list-border-left: 1px solid $border;
$menu-label-color: $text-light;

$message-background-color: $background;
$message-radius: $radius;
$message-header-background-color: $primary; //$text
$message-header-color: $text-invert;
$message-header-weight: $weight-bold;
$message-header-padding: 0.75em 1em;
$message-header-radius: $radius 1px; //$radius 4px
$message-body-border-color: $border;
$message-body-border-width: 0 0 0 4px;
$message-body-color: $text;
$message-body-padding: 1.25em 1.5em;
$message-body-radius: $radius 1px; //$radius 4px
$message-body-pre-background-color: $white;
$message-body-pre-code-background-color: transparent;
$message-header-body-border-width: 0;

$modal-z: 40;
$modal-background-background-color: rgba($black, 0.86);
$modal-content-width: 640px;
$modal-content-margin-mobile: 20px;
$modal-content-spacing-mobile: 160px;
$modal-content-spacing-tablet: 40px;
$modal-close-dimensions: 40px;
$modal-close-right: 20px;
$modal-close-top: 20px;
$modal-card-spacing: 40px;
$modal-card-head-background-color: $background;
$modal-card-head-border-bottom: 1px solid $border;
$modal-card-head-padding: 20px;
$modal-card-head-radius: $radius-large 6px;
$modal-card-title-color: $text-strong;
$modal-card-title-line-height: 1;
$modal-card-title-size: $size-4 1.5rem;
$modal-card-foot-radius: $radius-large 6px;
$modal-card-foot-border-top: 1px solid $border;
$modal-card-body-background-color: $white;
$modal-card-body-padding: 20px;

$navbar-background-color: $white;
$navbar-box-shadow-size: 0 2px 0 0;
$navbar-box-shadow-color: $background;
$navbar-height: 3.25rem;
$navbar-padding-vertical: 1rem;
$navbar-padding-horizontal: 2rem;
$navbar-z: 30;
$navbar-fixed-z: 30;
$navbar-item-color: $grey-dark;
$navbar-item-hover-color: $link;
$navbar-item-hover-background-color: $white-bis;
$navbar-item-img-max-height: 1.75rem;
$navbar-burger-color: $navbar-item-color;
$navbar-tab-hover-background-color: transparent;
$navbar-tab-hover-border-bottom-color: $link;
$navbar-tab-active-color: $link;
$navbar-tab-active-background-color: transparent;
$navbar-tab-active-border-bottom-color: $link;
$navbar-tab-active-border-bottom-style: solid;
$navbar-tab-active-border-bottom-width: 3px;
$navbar-dropdown-background-color: $white;
$navbar-dropdown-border-top: 2px solid $border;
$navbar-dropdown-offset: -4px;
$navbar-dropdown-arrow: $primary; //$link
$navbar-dropdown-radius: $radius-large;
$navbar-dropdown-z: 20;
$navbar-dropdown-boxed-radius: $radius-large;
$navbar-dropdown-boxed-shadow: 0 8px 8px rgba($black, 0.1), 0 0 0 1px rgba($black, 0.1);
$navbar-dropdown-item-hover-color: $black;
$navbar-dropdown-item-hover-background-color: $background;
$navbar-dropdown-item-active-color: $link;
$navbar-dropdown-item-active-background-color: $background;
$navbar-divider-background-color: $background;
$navbar-divider-height: 2px;
$navbar-bottom-box-shadow-size: 0 -2px 0 0;

$pagination-color: $grey-darker;
$pagination-border-color: $grey-lighter;
$pagination-margin: -0.25rem;
$pagination-hover-color: $link-hover;
$pagination-hover-border-color: $link-hover-border;
$pagination-focus-color: $link-focus;
$pagination-focus-border-color: $link-focus-border;
$pagination-active-color: $link-active;
$pagination-active-border-color: $link-active-border;
$pagination-disabled-color: $grey;
$pagination-disabled-background-color: $grey-lighter;
$pagination-disabled-border-color: $grey-lighter;
$pagination-current-color: $link-invert;
$pagination-current-background-color: $primary; //$link
$pagination-current-border-color: $primary; //$link
$pagination-ellipsis-color: $grey-light;

$panel-item-border: 1px solid $border;
$panel-heading-background-color: $background;
$panel-heading-color: $text-strong;
$panel-heading-line-height: 1.25;
$panel-heading-padding: 0.5em 0.75em;
$panel-heading-radius: $radius 4px;
$panel-heading-size: 1.25em;
$panel-heading-weight: $weight-light;
$panel-tab-border-bottom: 1px solid $border;
$panel-tab-active-border-bottom-color: $link-active-border;
$panel-tab-active-color: $link-active;
$panel-list-item-color: $text;
$panel-list-item-hover-color: $link;
$panel-block-color: $text-strong;
$panel-block-hover-background-color: $background;
$panel-block-active-border-left-color: $link;
$panel-block-active-color: $link-active;
$panel-block-active-icon-color: $link;
$panel-icon-color: $text-light;

$tabs-border-bottom-color: $border;
$tabs-border-bottom-style: solid;
$tabs-border-bottom-width: 1px;
$tabs-link-color: $text;
$tabs-link-hover-border-bottom-color: $text-strong;
$tabs-link-hover-color: $text-strong;
$tabs-link-active-border-bottom-color: darken($primary, 20%); //$link
$tabs-link-active-color: darken($primary, 20%); //$link
$tabs-link-padding: 0.5em 1em;
$tabs-boxed-link-radius: $radius 4px;
$tabs-boxed-link-hover-background-color: $background;
$tabs-boxed-link-hover-border-bottom-color: $border;
$tabs-boxed-link-active-background-color: $white;
$tabs-boxed-link-active-border-color: $border;
$tabs-boxed-link-active-border-bottom-color: transparent;
$tabs-toggle-link-border-color: $border;
$tabs-toggle-link-border-style: solid;
$tabs-toggle-link-border-width: 1px;
$tabs-toggle-link-hover-background-color: $background;
$tabs-toggle-link-hover-border-color: $border-hover;
$tabs-toggle-link-radius: $radius;
$tabs-toggle-link-active-background-color: darken($primary, 20%); //$link
$tabs-toggle-link-active-border-color: darken($primary, 20%); //$link
$tabs-toggle-link-active-color: $link-invert;

$badge-border-size: 0.1rem;
$badge-border-radius: 1rem;

$checkbox-radius: $radius;
$checkbox-border: 0.1rem solid $grey-lighter;
$checkbox-block-background: $white-ter;
$checkradio-focus: 1px dotted $grey-light;

@import "../bulma-0.8.0/sass/base/_all.sass";
@import "../bulma-0.8.0/sass/components/_all.sass";
@import "../bulma-0.8.0/sass/elements/_all.sass";
@import "../bulma-0.8.0/sass/grid/_all.sass";
@import "../bulma-0.8.0/sass/form/_all.sass";
@import "../bulma-0.8.0/sass/layout/_all.sass";

ul, li {
  list-style: none;
}

a {
  -webkit-transition: 256ms ease-in-out;
  -moz-transition: 256ms ease-in-out;
  -o-transition: 256ms ease-in-out;
  transition: 256ms ease-in-out;
  -webkit-transition-property: background, color;
  -moz-transition-property: background, color;
  -o-transition-property: background, color;
  transition-property: background, color;
  color: $black-ter;

  &:hover {
    color: $primary;
  }
}

//main >>>
.hero-head, .hero-foot, .ok-box, .ok-account-ul {
  border-top: 3px solid $primary;
}

.hero-body {
  padding: 1.5rem 1.5rem;
}

.navbar-item:not(.ok-has-brand):hover {
  color: $white !important;
  background-color: $primary !important;
}

.hero-foot {
  line-height: 2.5em;

  ul > li:hover {
    background-color: $primary;
  }
}

.ok-main-input-search {
  height: 3.5em;
}

.ok-main-btn-search {
  height: 3.5em;
  width: 3.5em;
}

.scroll-top {
  position: fixed;
  bottom: 30px;
  right: 30px;
  cursor: pointer;
  font-size: 3em;
  z-index: 20;
}

.ok-main-contact-icons {
  border: 3px solid $white-ter;
  border-radius: 50%;
  margin-right: 0.5em;
  width: 2em !important;
  height: 2em !important;
  font-size: 1.75em;
}

.ok-main-connect-icons {
  margin-right: 0.3em;
  margin-top: 1em;
}

.ok-main-h1 {
  margin: 0.5em 0;
  font-family: 'Ubuntu', sans-serif;
}

.ok-main-benefit {
  margin: 0 0.5em;

  p {
    font-family: 'Ubuntu', sans-serif;
  }
}

.help-block.help-block-error {
  display: block;
  font-size: 0.85rem;
  margin-top: 0.25rem;
  color: $danger;
}

.ok-carousel-name:hover {
  color: $black-bis !important;
}

.ok-main-badge-wishlist, .ok-main-badge-cart {
  margin-left: 0.2em;
}

//<<< main

//product >>>
#breadcrumbs {
  border-bottom: 1px solid #e4e4e4;
  border-left: 0;
  border-right: 0;
  margin: 0;
}

.breadcrumb {
  background-color: transparent;
  border-radius: 0;
  margin-bottom: 0;
  padding: 0;

  > li:first-child {
    border-left: 1px solid $grey-lighter;
  }

  li {
    display: inline-block;
    border-right: 1px solid $grey-lighter;
    padding: 4px 16px;
    color: $black-ter;

    &.active {
      color: $grey;
    }

    > li + li:before {
      content: '';
    }
  }
}

//<<< product

//account >>>
.ok-account-ul {
  ul > li {
    padding: $control-padding-horizontal $control-padding-vertical $control-padding-horizontal $control-padding-vertical;
    border-bottom: 1px solid $grey-lighter;
  }
}

//<<< account

.ok-table-btn {
  padding: 1em 0.75em !important;
}

.field:first-child {
  margin-top: 0.5rem;
}

//pagination >>>
.pagination {
  border-radius: 4px;
}

.pagination > li {
  display: inline;
}

.pagination > li > a,
.pagination > li > span {
  position: relative;
  float: left;
  padding: 6px 12px;
  line-height: 1.42857143;
  text-decoration: none;
  color: $black-ter;
  background-color: transparent;
  border: 1px solid transparent;
  margin-left: -1px;
}

.pagination > li:first-child > a,
.pagination > li:first-child > span {
  margin-left: 0;
  border-bottom-left-radius: 4px;
  border-top-left-radius: 4px;
}

.pagination > li:last-child > a,
.pagination > li:last-child > span {
  border-bottom-right-radius: 4px;
  border-top-right-radius: 4px;
}

.pagination > li > a:hover,
.pagination > li > span:hover,
.pagination > li > a:focus,
.pagination > li > span:focus {
  z-index: 2;
  color: $primary;
  background-color: transparent;
  border-color: transparent;
}

.pagination > .active > a,
.pagination > .active > span,
.pagination > .active > a:hover,
.pagination > .active > span:hover,
.pagination > .active > a:focus,
.pagination > .active > span:focus {
  z-index: 3;
  color: $grey;
  background-color: $white;
  border-color: $grey-lighter;
  cursor: default;
}

.pagination > .disabled > span,
.pagination > .disabled > span:hover,
.pagination > .disabled > span:focus,
.pagination > .disabled > a,
.pagination > .disabled > a:hover,
.pagination > .disabled > a:focus {
  color: $grey;
  background-color: $white;
  border-color: $grey-lighter;
  cursor: not-allowed;
}

.pagination {
  line-height: 32px;
  font-size: 13px;
  color: $grey;
}

.pagination {
  > .disabled > span, > .disabled > span:hover {
    background-color: transparent;
    border-color: transparent;
  }
}

//<<< pagination

.ok-main-btn-filter {
  cursor: pointer;
}

.table-striped-background-color {
  background-color: $table-striped-row-even-background-color;
}

.ok-main-btn-category:hover {
  background-color: $primary !important;
}

.ok-content-figure {
  margin-left: 0 !important;
  margin-right: 0 !important;
  text-align: inherit !important;
}

.content ul {
  margin-left: 0;
}

.hero-body {
  padding: 0.5rem 1.5rem;
}

.ok-block-tag {
  position: absolute;
  text-align: initial;
}

.ok-tag {
  position: relative;
  z-index: 30;
}

.ok-tag-field:first-child {
  margin-top: -0.1rem;
}

.ok-tag-field:not(:last-child) {
  margin-bottom: 0.1rem !important;
}

.dropdown-menu {
  z-index: 35;
}

.ok-content-p {
  margin-bottom: 0 !important;
}

.morecontent span:not(.has-text-weight-bold) {
  display: none;
}

.morelink {
  display: block;
}

.ok-margin-top-1 {
  margin-top: 1em;
}

.icon.is-medium {
  width: 2.5rem;
}

.fa-2x {
  font-size: 2.5em;
}

.terms li {
  list-style: unset;
}

.fa-info-circle {
  position: relative;
  top: 0.2em;
  left: 0.1em;
}
